Apps
The Apps a site has installed, and the catalogue of the ones it can install.
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer.
application/json- response
total?integerdata?array<unknown>curl -X GET "https://platform.example.com/api/admin/apps" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ null ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
id*stringThe id of the App, as GET /api/admin/apps/catalogue lists it.
url?stringWhere the App is served, when it is not at its usual path.
The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/apps" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "string"}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer.
application/json- response
total?integerdata?array<unknown>curl -X GET "https://platform.example.com/api/admin/apps/catalogue" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ null ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
id*stringThe id of the App.
url?stringWhere the App is served.
The answer.
application/json- response
manifest?unknownurl?unknownclientId?unknownreachable?unknownwarnings?unknowncurl -X POST "https://platform.example.com/api/admin/apps/preview" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "string"}'{ "manifest": null, "url": null, "clientId": null, "reachable": null, "warnings": null}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the App.
The answer.
curl -X GET "https://platform.example.com/api/admin/apps/$ID" \ -H "Authorization: Bearer $TOKEN"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the App.
The answer.
response?stringapplication/jsonThe id.
curl -X DELETE "https://platform.example.com/api/admin/apps/$ID" \ -H "Authorization: Bearer $TOKEN""string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the App.
application/json- body
url?unknownorder?unknownThe answer.
curl -X PUT "https://platform.example.com/api/admin/apps/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "url": "...", "order": "..."}'